<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Sat May 11 20:28:16 CEST 2019 -->
<title>Game</title>
<meta name="date" content="2019-05-11">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Game";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../app/game/Move.html" title="class in app.game"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?app/game/Game.html" target="_top">Frames</a></li>
<li><a href="Game.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">app.game</div>
<h2 title="Class Game" class="title">Class Game</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>app.game.Game</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Game</span>
extends java.lang.Object</pre>
<div class="block">Represents chess game.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jana Balkovicova, Radek Bednar</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../app/game/Game.html#Game--">Game</a></span>()</code>
<div class="block">Creates a new game with initialized board and pieces.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Game.html#addMove-app.game.Move-">addMove</a></span>(<a href="../../app/game/Move.html" title="class in app.game">Move</a>&nbsp;move)</code>
<div class="block">Adds players move to the game moves, sets all valid moves for opponent player and checks for
 checkmate.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../app/board/Board.html" title="class in app.board">Board</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Game.html#getBoard--">getBoard</a></span>()</code>
<div class="block">Returns the chess board.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Game.html#getCurrentMoveIndex--">getCurrentMoveIndex</a></span>()</code>
<div class="block">Returns the index of the current move in the game.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>javafx.collections.ObservableList&lt;<a href="../../app/game/Move.html" title="class in app.game">Move</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Game.html#getDisplayedMoves--">getDisplayedMoves</a></span>()</code>
<div class="block">Returns all moves that are displayed in notation panel.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>javafx.collections.ObservableList&lt;<a href="../../app/game/Move.html" title="class in app.game">Move</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Game.html#getMoves--">getMoves</a></span>()</code>
<div class="block">Returns all game moves.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Game.html#isCheckMate--">isCheckMate</a></span>()</code>
<div class="block">Checks if the current move is checkmate.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Game.html#redoDisplayedMove--">redoDisplayedMove</a></span>()</code>
<div class="block">Adds next move from moves array to the notation panel.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Game.html#redoMove--">redoMove</a></span>()</code>
<div class="block">Performs the next move to the move specified by the current move index, increases the current
 move index.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Game.html#removeFurtherMoves--">removeFurtherMoves</a></span>()</code>
<div class="block">Removes all moves performed after the move specified by current move index.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Game.html#undoDisplayedMove--">undoDisplayedMove</a></span>()</code>
<div class="block">Removes last move from the notation panel.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Game.html#undoMove--">undoMove</a></span>()</code>
<div class="block">Performs undo of move specified by current move index, decreases current move index.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Game.html#whiteIsOnTurn--">whiteIsOnTurn</a></span>()</code>
<div class="block">Checks, whether the white player is on turn.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Game--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Game</h4>
<pre>public&nbsp;Game()</pre>
<div class="block">Creates a new game with initialized board and pieces.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCurrentMoveIndex--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentMoveIndex</h4>
<pre>public&nbsp;int&nbsp;getCurrentMoveIndex()</pre>
<div class="block">Returns the index of the current move in the game.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of the current move in moves array</dd>
</dl>
</li>
</ul>
<a name="undoDisplayedMove--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>undoDisplayedMove</h4>
<pre>public&nbsp;void&nbsp;undoDisplayedMove()</pre>
<div class="block">Removes last move from the notation panel.</div>
</li>
</ul>
<a name="redoDisplayedMove--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redoDisplayedMove</h4>
<pre>public&nbsp;void&nbsp;redoDisplayedMove()</pre>
<div class="block">Adds next move from moves array to the notation panel.</div>
</li>
</ul>
<a name="getDisplayedMoves--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDisplayedMoves</h4>
<pre>public&nbsp;javafx.collections.ObservableList&lt;<a href="../../app/game/Move.html" title="class in app.game">Move</a>&gt;&nbsp;getDisplayedMoves()</pre>
<div class="block">Returns all moves that are displayed in notation panel.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>displayed moves</dd>
</dl>
</li>
</ul>
<a name="undoMove--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>undoMove</h4>
<pre>public&nbsp;void&nbsp;undoMove()</pre>
<div class="block">Performs undo of move specified by current move index, decreases current move index.</div>
</li>
</ul>
<a name="redoMove--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redoMove</h4>
<pre>public&nbsp;void&nbsp;redoMove()</pre>
<div class="block">Performs the next move to the move specified by the current move index, increases the current
 move index.</div>
</li>
</ul>
<a name="addMove-app.game.Move-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addMove</h4>
<pre>public&nbsp;void&nbsp;addMove(<a href="../../app/game/Move.html" title="class in app.game">Move</a>&nbsp;move)</pre>
<div class="block">Adds players move to the game moves, sets all valid moves for opponent player and checks for
 checkmate. If the game does not end, the opponent is on the turn.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>move</code> - performed move to be added to the game moves</dd>
</dl>
</li>
</ul>
<a name="isCheckMate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCheckMate</h4>
<pre>public&nbsp;boolean&nbsp;isCheckMate()</pre>
<div class="block">Checks if the current move is checkmate.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the current move is checkmate</dd>
</dl>
</li>
</ul>
<a name="removeFurtherMoves--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeFurtherMoves</h4>
<pre>public&nbsp;void&nbsp;removeFurtherMoves()</pre>
<div class="block">Removes all moves performed after the move specified by current move index.</div>
</li>
</ul>
<a name="whiteIsOnTurn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>whiteIsOnTurn</h4>
<pre>public&nbsp;boolean&nbsp;whiteIsOnTurn()</pre>
<div class="block">Checks, whether the white player is on turn.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if white player is on turn</dd>
</dl>
</li>
</ul>
<a name="getMoves--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMoves</h4>
<pre>public&nbsp;javafx.collections.ObservableList&lt;<a href="../../app/game/Move.html" title="class in app.game">Move</a>&gt;&nbsp;getMoves()</pre>
<div class="block">Returns all game moves.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of all game moves</dd>
</dl>
</li>
</ul>
<a name="getBoard--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getBoard</h4>
<pre>public&nbsp;<a href="../../app/board/Board.html" title="class in app.board">Board</a>&nbsp;getBoard()</pre>
<div class="block">Returns the chess board.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>chess board</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../app/game/Move.html" title="class in app.game"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?app/game/Game.html" target="_top">Frames</a></li>
<li><a href="Game.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
